#### D.8.7.1 substAll

Procedure from library `recover.lib` (see recover_lib).

Usage:
  substAll(v,p); poly v, list p

Return:
  poly: the polynomial obtained from v by substituting the elements of p for the ring variables

Note:
  The list p should have as many elements as there are ring variables.

Example:

    LIB "recover.lib";
    ring r=0,(x,y,z),dp;
    poly v=x+y+z;
    list p=7/11,5/11,-1/11;
    poly f=substAll(v,p);
    f;

User manual for Singular version 4.4.1, 2025, generated by texi2html.